#include "core.fsh"
#include "pixel_codec.fsh"

flat in highp float mileage_f;

uniform highp float transparentMileage;

out lowp vec4 fragColor;

void main()
{
    if (mileage_f < transparentMileage)
        discard;
    
    fragColor = EncodeFloatRGBA(mileage_f);
}

